import { CSSProperties } from 'vue';
import { ConnectionLineType, ConnectionMode, Dimensions, EdgeComponent, GraphEdge, GraphNode, HandleType, Transform, XYPosition } from '../../types';
declare const _default: import("vue").DefineComponent<{
    edges: {
        type: import("vue").PropType<GraphEdge<any>[]>;
        required: true;
    };
    nodes: {
        type: import("vue").PropType<GraphNode<any>[]>;
        required: true;
    };
    edgeTypes: {
        type: import("vue").PropType<Record<string, EdgeComponent>>;
        required: true;
    };
    transform: {
        type: import("vue").PropType<Transform>;
        required: true;
    };
    dimensions: {
        type: import("vue").PropType<Dimensions>;
        required: true;
    };
    connectionLineType: {
        type: import("vue").PropType<ConnectionLineType>;
    } & {
        default: ConnectionLineType;
    };
    connectionLineStyle: {
        type: import("vue").PropType<CSSProperties>;
    };
    arrowHeadColor: {
        type: import("vue").PropType<string>;
    } & {
        default: string;
    };
    markerEndId: {
        type: import("vue").PropType<string>;
    };
    elementsSelectable: {
        type: import("vue").PropType<boolean>;
    };
    edgeUpdaterRadius: {
        type: import("vue").PropType<number>;
    } & {
        default: number;
    };
    connectionNodeId: {
        type: import("vue").PropType<string>;
    };
    connectionHandleType: {
        type: import("vue").PropType<HandleType>;
    };
    connectionHandleId: {
        type: import("vue").PropType<string>;
    };
    connectionPosition: {
        type: import("vue").PropType<XYPosition>;
    };
    connectionMode: {
        type: import("vue").PropType<ConnectionMode>;
        required: true;
    };
    nodesConnectable: {
        type: import("vue").PropType<boolean>;
    };
}, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    edges?: unknown;
    nodes?: unknown;
    edgeTypes?: unknown;
    transform?: unknown;
    dimensions?: unknown;
    connectionLineType?: unknown;
    connectionLineStyle?: unknown;
    arrowHeadColor?: unknown;
    markerEndId?: unknown;
    elementsSelectable?: unknown;
    edgeUpdaterRadius?: unknown;
    connectionNodeId?: unknown;
    connectionHandleType?: unknown;
    connectionHandleId?: unknown;
    connectionPosition?: unknown;
    connectionMode?: unknown;
    nodesConnectable?: unknown;
} & {
    nodes: GraphNode<any>[];
    edges: GraphEdge<any>[];
    dimensions: Dimensions;
    transform: Transform;
    connectionMode: ConnectionMode;
    edgeTypes: Record<string, EdgeComponent>;
    connectionLineType: ConnectionLineType;
    arrowHeadColor: string;
    edgeUpdaterRadius: number;
} & {
    markerEndId?: string | undefined;
    connectionNodeId?: string | undefined;
    connectionHandleId?: string | undefined;
    connectionHandleType?: HandleType | undefined;
    connectionPosition?: XYPosition | undefined;
    nodesConnectable?: boolean | undefined;
    elementsSelectable?: boolean | undefined;
    connectionLineStyle?: CSSProperties | undefined;
}>, {
    connectionLineType: ConnectionLineType;
    arrowHeadColor: string;
    edgeUpdaterRadius: number;
}>;
export default _default;
