import { GraphNode, NodeComponent, SnapGrid, Transform } from '../../types';
declare const _default: import("vue").DefineComponent<{
    nodes: {
        type: import("vue").PropType<GraphNode<any>[]>;
    };
    nodeTypes: {
        type: import("vue").PropType<Record<string, NodeComponent>>;
        required: true;
    };
    selectNodesOnDrag: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    snapToGrid: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    snapGrid: {
        type: import("vue").PropType<SnapGrid>;
    } & {
        default: () => number[];
    };
    transform: {
        type: import("vue").PropType<Transform>;
        required: true;
    };
    elementsSelectable: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    nodesDraggable: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    nodesConnectable: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
}, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    nodes?: unknown;
    nodeTypes?: unknown;
    selectNodesOnDrag?: unknown;
    snapToGrid?: unknown;
    snapGrid?: unknown;
    transform?: unknown;
    elementsSelectable?: unknown;
    nodesDraggable?: unknown;
    nodesConnectable?: unknown;
} & {
    transform: Transform;
    snapToGrid: boolean;
    snapGrid: SnapGrid;
    nodesDraggable: boolean;
    nodesConnectable: boolean;
    elementsSelectable: boolean;
    nodeTypes: Record<string, NodeComponent>;
    selectNodesOnDrag: boolean;
} & {
    nodes?: GraphNode<any>[] | undefined;
}>, {
    snapToGrid: boolean;
    snapGrid: SnapGrid;
    nodesDraggable: boolean;
    nodesConnectable: boolean;
    elementsSelectable: boolean;
    selectNodesOnDrag: boolean;
}>;
export default _default;
